slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosSetGBidiag

Sets the bidiagonalization choice to use in the GSVD TRLanczos solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetGBidiag(SVD svd,SVDTRLanczosGBidiag bidiag)

Logically Collective

### Input Parameters

| svd | - the singular value solver
| bidiag | - the bidiagonalization choice

### Options Database Key

| -svd_trlanczos_gbidiag | - Sets the bidiagonalization choice (either 's' or 'juu' or 'jlu')

### See Also

SVDTRLanczosGetGBidiag(), SVDTRLanczosGBidiag

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages